
# checkworkdirs.rc.sh

# Check, if work directories work.
# ./fontsamples.rc.sh must be included before this.
# Include this with command ". ./checkworkdirs.sh" (without quotes)

# Author:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv
# juhtolv (at) iki (dot) fi

# This script is public domain. There is no warranty.

#############################################################################
# Is everything okay?

if ls ${WORKDIR} > /dev/null 2>&1
then
    :
else
    echo "ls-command does not work on ${WORKDIR} ." >&2
    echo "Exiting..." >&2
    exit 1
fi

rm -f ${WORKDIR}/touch.1 2> /dev/null
rm -f ${WORKDIR}/touch.2 2> /dev/null
rm -f ${WORKDIR}/touch.3 2> /dev/null

if touch ${WORKDIR}/touch.1
then
    :
else
    echo "${WORKDIR} is unwritable. Exiting" >&2
    echo "Exiting..." >&2
    exit 1
fi

if cp -f ${WORKDIR}/touch.1 ${WORKDIR}/touch.2
then
    :
else
    echo "cp-command does not work on ${WORKDIR}." >&2
    echo "Exiting..." >&2
    exit 1
fi

if mv -f ${WORKDIR}/touch.2 ${WORKDIR}/touch.3
then
    :
else
    echo "mv-command does not work on ${WORKDIR}." >&2
    echo "Exiting..." >&2
    exit 1
fi

if mkdir -p ${WORKDIR}/index
then
    :
else
    echo "Can not create directories to ${WORKDIR} ." >&2
    echo "Exiting..." >&2
    exit 1
fi

if mkdir -p ${WORKDIR}/pdf
then
    :
else
    echo "Can not create directories to ${WORKDIR} ." >&2
    echo "Exiting..." >&2
    exit 1
fi

if mkdir -p ${WORKDIR}/tex
then
    :
else
    echo "Can not create directories to ${WORKDIR} ." >&2
    echo "Exiting..." >&2
    exit 1
fi

if mkdir -p ${WORKDIR}/du_files
then
    :
else
    echo "Can not create directories to ${WORKDIR} ." >&2
    echo "Exiting..." >&2
    exit 1
fi


if rm -f ${WORKDIR}/touch.1 ${WORKDIR}/touch.2 ${WORKDIR}/touch.3 2> /dev/null
then
    :
else
    echo "${WORKDIR} is write-only." >&2
    echo "Exiting..." >&2
    exit 1
fi


# Everything seems to work.
##############################################################################

