#!/bin/bash

# Author:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv
# juhtolv (at) iki (dot) fi

# This script is public domain. There is no warranty.

# Usage:
# doall_subgroup.sh GROUP SUBGROUP WWWDIR
#
# Example usage:
# doall_subgroup.sh hiragana basic ${WWWDIR}
# doall_subgroup.sh kanji other-uncommon2 ${WWWDIRTWO}

# Note!: script that runs this must include fontsamples.rc.sh althouh it is
# included again in this script.

if . ./fontsamples.rc.sh
then
    :
else
    echo "./fontsamples.rc.sh could not be read" 
    exit 1
fi

cd ${WORKDIR} || exit 1

if . ./checkworkdirs.sh
then
    :
else
    echo "./checkworkdirs.sh could not be read" 
    exit 1
fi

if . ./rc.${1}_${2}.sh
then
    :
else
    echo "./rc.${1}_${2}.sh could not be read"
    exit 1
fi

echo ./compile_subgroup.sh ${1} ${2}
./compile_subgroup.sh ${1} ${2}
echo ./compress_subgroup.sh ${1} ${2}
./compress_subgroup.sh ${1} ${2}
echo ./release_subgroup.sh ${1} ${2} ${3}
./release_subgroup.sh ${1} ${2} ${3}

cd ${WORKDIR}

# Local Variables: ***
# mode:Shell-script ***
# coding: utf-8 ***
# End: ***

# vim: set ft=sh fenc=utf-8 :

